This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 70721 - snmptrapd and snmpd initscripts have wrong error handling
snmptrapd and snmpd initscripts have wrong error handling
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: net-snmp (Show other bugs)
8.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-04 11:07 EDT by Peter van Egdom
Modified: 2015-03-04 20:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-05 11:57:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter van Egdom 2002-08-04 11:07:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.1b) Gecko/20020721

Description of problem:
[peterve@limbo-pc init.d]$ ./snmpd start
Starting snmpd:                                            [  OK  ]
touch: creating `/var/lock/subsys/snmpd': Toegang geweigerd
[peterve@limbo-pc init.d]$ ./snmptrapd start
Starting snmptrapd:                                        [  OK  ]
touch: creating `/var/lock/subsys/snmptrapd': Toegang geweigerd
[peterve@limbo-pc init.d]$ ./snmpd stop
Stopping snmpd:                                            [FAILED]
[peterve@limbo-pc init.d]$ ./snmptrapd stop
Stopping snmptrapd:                                        [FAILED]


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. "snmpd stop"     \ as normal user
2. "snmptrapd stop" /
3.
	

Actual Results:
[peterve@limbo-pc init.d]$ ./snmpd start
Starting snmpd:                                            [  OK  ]
touch: creating `/var/lock/subsys/snmpd': Toegang geweigerd
[peterve@limbo-pc init.d]$ ./snmptrapd start
Starting snmptrapd:                                        [  OK  ]
touch: creating `/var/lock/subsys/snmptrapd': Toegang geweigerd
[peterve@limbo-pc init.d]$ ./snmpd stop
Stopping snmpd:                                            [FAILED]
[peterve@limbo-pc init.d]$ ./snmptrapd stop
Stopping snmptrapd:                                        [FAILED]


Expected Results:
[peterve@limbo-pc init.d]$ ./snmpd start
Starting snmpd:                                            [FAILED]
touch: creating `/var/lock/subsys/snmpd': Toegang geweigerd
[peterve@limbo-pc init.d]$ ./snmptrapd start
Starting snmptrapd:                                        [FAILED]
touch: creating `/var/lock/subsys/snmptrapd': Toegang geweigerd
[peterve@limbo-pc init.d]$ ./snmpd stop
Stopping snmpd:                                            [FAILED]
[peterve@limbo-pc init.d]$ ./snmptrapd stop
Stopping snmptrapd:                                        [FAILED]


Additional info:

Source RPM: net-snmp-5.0.1-5.src.rpm
Comment 1 Peter van Egdom 2002-11-01 17:27:31 EST
Still occurs in Red Hat Linux 8.0.
Comment 2 Phil Knirsch 2003-02-05 11:57:16 EST
Will be fixed in next rawhide build.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.